Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

perl upgraded, still using lower version

Discussion in 'General Discussion' started by erinspice, Sep 30, 2007.

  1. erinspice

    erinspice Well-Known Member

    Joined:
    Feb 12, 2006
    Messages:
    99
    Likes Received:
    0
    Trophy Points:
    166
    I upgraded perl some time ago, and there is a new directory for the new version in /usr/lib/perl5/site_perl, but it seems that the server is still using the old version. However, /usr/bin/perl --version and /usr/local/bin/perl --version both give the new version. But when I renamed the old site-perl directory for the old version to test this out, it broke a lot of my scripts, like they are still using stuff from that directory. Is this normal, or should they only be using files from the new site-perl/5.8.8 directory? Why wouldn't a fresh install of ImageMagick and PerlMagick which were installed together not work anymore?
     
    #1 erinspice, Sep 30, 2007
    Last edited: Sep 30, 2007
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice